## lua-rings 1.3.0

=== Makefile ===
# $Id: Makefile,v 1.6 2008/05/08 22:08:31 carregal Exp $

T= rings
CONFIG= ./config

include $(CONFIG)

SRCS= src/rings.c
OBJS= src/rings.o

all: src/rings.so

src/rings.so: $(OBJS)
	export MACOSX_DEPLOYMENT_TARGET="10.3"; $(CC) $(CFLAGS) $(LIB_OPTION) -o src/rings.so $(OBJS)

install:
	mkdir -p $(LUA_LIBDIR)
	cp src/rings.so $(LUA_LIBDIR)
	mkdir -p $(LUA_DIR)
	cp src/stable.lua $(LUA_DIR)

clean:
	rm -f src/rings.so $(OBJS)

## lua-rings 1.2.2

=== debian/changelog ===
lua-rings (1.2.2-4) unstable; urgency=low

  * source format 3.0

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 22:14:19 +0200

lua-rings (1.2.2-3) unstable; urgency=low

  * bumped standards-version to 3.9.2, no changes
  * multi-arch (lua5.1-policy-dev >= 32 and dh >= 8.1.3)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 22 Jul 2009 10:51:33 +0200

lua-rings (1.2.2-2) unstable; urgency=low

  * bumped standards-version to 3.8.2, no changes
  * build-depend on lua5.1-policy-dev >= 22

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 16:49:26 +0200

lua-rings (1.2.2-1) unstable; urgency=low

  * new upstream release (minor bugfix)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 02 Jul 2008 10:19:47 +0200

lua-rings (1.2.1-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 09 May 2008 11:12:35 +0200

lua-rings (1.2.1~rc1-1) unstable; urgency=low

  * new upstream release candidate

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 19 Apr 2008 15:21:53 +0200

lua-rings (1.2.0-1) unstable; urgency=low

  * new upstream release
  * bumped standards-version to 3.7.3, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 16 Feb 2008 18:44:39 +0100

lua-rings (1.1-1) unstable; urgency=low

  * Initial release. (Closes: #442452)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Jul 2007 16:05:05 +0200

=== debian/control ===
Source: lua-rings
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 8.1.3), lua5.1-policy-dev (>= 32)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-rings
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-rings
Homepage: http://www.keplerproject.org/rings/

Package: liblua5.1-rings0
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, liblua5.1-expat0, liblua5.1-socket2
Description: Lua state creation and control library for the Lua language version 5.1
 Rings is a library which provides a way to create new Lua states from within
 Lua. It also offers a simple way to communicate between the creator (master)
 and the created (slave) states.
 .
 This mechanism can be used to run chunks of code in an isolated
 Lua state, obtaining what is usually called a sandbox.

Package: liblua5.1-rings-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: liblua5.1-rings0 (= ${binary:Version})
Description: Development files for the rings library for the Lua language version 5.1
 This package contains the development files of the rings Lua library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-rings
#
version=3
http://luaforge.net/frs/?group_id=147  /frs/download.php/\d+/rings-([\d\.]*).tar.gz

## lua-rings 1.2.3

=== debian/changelog ===
lua-rings (1.2.3-1) unstable; urgency=low

  * New upstream release
  * Update watch file 
  * Bumped standards-version to 3.9.3, no changes 
  * debian/compat set to 8
  * Packages renamed according to the new Lua policy 
  * Switch to dh-lua

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 26 Apr 2012 16:30:23 +0200

=== debian/control ===
Source: lua-rings
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-rings
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-rings
Homepage: https://github.com/keplerproject/rings

Package: lua-rings
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblua5.1-rings0 (<< 1.2.3-1~)
Breaks: liblua5.1-rings0 (<< 1.2.3-1~)
Provides: liblua5.1-rings0, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua state creation and control library for the Lua language
 Rings is a library which provides a way to create new Lua states from within
 Lua. It also offers a simple way to communicate between the creator (master)
 and the created (slave) states.
 .
 This mechanism can be used to run chunks of code in an isolated
 Lua state, obtaining what is usually called a sandbox.

Package: lua-rings-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: lua-rings (= ${binary:Version}), ${misc:Depends}
Replaces: liblua5.1-rings-dev (<< 1.2.3-1~)
Breaks: liblua5.1-rings-dev (<< 1.2.3-1~)
Provides: liblua5.1-rings-dev, ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Development files for the rings library for the Lua language
 This package contains the development files of the rings Lua library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 .
 Documentation is also shipped within this package.

Package: liblua5.1-rings0
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-rings
Description: Transitional package for lua-rings
 This is a transitional package to ease upgrades to the lua-rings
 package. It can safely be removed.

Package: liblua5.1-rings-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, lua-rings-dev
Description: Transitional package for lua-rings-dev
 This is a transitional package to ease upgrades to the lua-rings-dev
 package. It can safely be removed.

## lua-rings 1.3.0

=== debian/changelog ===
lua-rings (1.3.0-5) unstable; urgency=medium

  * QA upload.
  * Point Vcs fields to Salsa
  * d/watch
     - version=4
     - Fix to work properly with tags
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add debian/upstream/metadata
  * debian/not-installed: cope with dh_missing --fail-missing default

 -- Andreas Tille <tille@debian.org>  Mon, 25 Aug 2025 17:32:25 +0200

lua-rings (1.3.0-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995520)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 10:49:15 -0300

lua-rings (1.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870554).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 21:46:00 +0100

lua-rings (1.3.0-3) unstable; urgency=medium

  * Disable a cache related test on 5.2 (Close: #775622)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 18 Jan 2015 19:58:11 +0100

lua-rings (1.3.0-2) unstable; urgency=low

  * Fix Provides, was still mentioning a transitional package
  * Fix copyright naming the license Expat instead of MIT/X

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 23 Aug 2013 15:34:52 +0200

lua-rings (1.3.0-1) unstable; urgency=low

  * Packaging moved to git
  * Transitional packages removed
  * New upstream release supporting Lua 5.2

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 26 Apr 2012 17:33:40 +0200

=== debian/control ===
Source: lua-rings
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-lua
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lua-team/lua-rings
Vcs-Git: https://salsa.debian.org/lua-team/lua-rings.git
Homepage: https://github.com/keplerproject/rings

Package: lua-rings
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua state creation and control library for the Lua language
 Rings is a library which provides a way to create new Lua states from within
 Lua. It also offers a simple way to communicate between the creator (master)
 and the created (slave) states.
 .
 This mechanism can be used to run chunks of code in an isolated
 Lua state, obtaining what is usually called a sandbox.

Package: lua-rings-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libdevel
Depends: lua-rings (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Development files for the rings library for the Lua language
 This package contains the development files of the rings Lua library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 .
 Documentation is also shipped within this package.

=== debian/watch ===
version=4
 
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,uversionmangle=s/_/./g" \
   https://github.com/keplerproject/rings/tags (?:.*?/)?v?_?(\d[\d._]*)\.tar\.gz
